Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.plugins.simulation.ode
Class Btableau

    java.lang.Object
      biouml.plugins.simulation.ode.Btableau

public class Btableau
extends java.lang.Object

Constructor Summary
`Btableau(double[][] a, double[][] ahat, double[] b, double[] bhat)`
`Btableau(double[][] a, double[] b, double[] bEmb, Btheta btheta, double[] c, java.lang.String FSAL)`
`Btableau(double[][] a, double[] b, double[] bEmb, double[] c, java.lang.String FSAL)`
`Btableau(double[][] a, double[] b, double[] c, java.lang.String FSAL)`
`Btableau(java.lang.String special)`

Method Summary
`double[][]` | `get_a()`
`double[][]` | `get_ahat()`
`double[]` | `get_b()`
`double[]` | `get_bEmb()`
`double[]` | `get_bhat()`
`double[]` | `get_bhatEmb()`
`Btheta` | `get_btheta()`
`double[]` | `get_c()`
`double[]` | `get_chat()`
`boolean` | `get_FSALenabled()`
`int` | `getah()`
`int` | `getahath()`
`int` | `getahatl()`
`int` | `getal()`
`int` | `getbEmbl()`
`int` | `getbhatEmbl()`
`int` | `getbhatl()`
`int` | `getbl()`
`int` | `getchatl()`
`int` | `getcl()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Btableau

    public Btableau(double[][] a,
                    double[] b,
                    double[] c,
                    java.lang.String FSAL)
             throws java.lang.Exception

### Btableau

    public Btableau(double[][] a,
                    double[] b,
                    double[] bEmb,
                    double[] c,
                    java.lang.String FSAL)
             throws java.lang.Exception

### Btableau

    public Btableau(double[][] a,
                    double[] b,
                    double[] bEmb,
                    Btheta btheta,
                    double[] c,
                    java.lang.String FSAL)
             throws java.lang.Exception

### Btableau

    public Btableau(double[][] a,
                    double[][] ahat,
                    double[] b,
                    double[] bhat)
             throws java.lang.Exception

### Btableau

    public Btableau(java.lang.String special)
             throws java.lang.Exception

Method Detail

### getal

    public int getal()

### getah

    public int getah()

### getahatl

    public int getahatl()

### getahath

    public int getahath()

### getbl

    public int getbl()

### getbhatl

    public int getbhatl()

### getbEmbl

    public int getbEmbl()

### getbhatEmbl

    public int getbhatEmbl()

### getcl

    public int getcl()

### getchatl

    public int getchatl()

### get_a

    public double[][] get_a()

### get_ahat

    public double[][] get_ahat()

### get_b

    public double[] get_b()

### get_bhat

    public double[] get_bhat()

### get_bEmb

    public double[] get_bEmb()

### get_bhatEmb

    public double[] get_bhatEmb()

### get_btheta

    public Btheta get_btheta()

### get_c

    public double[] get_c()

### get_chat

    public double[] get_chat()

### get_FSALenabled

    public boolean get_FSALenabled()

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.